import 'package:dyte_core/dyte_core.dart';
import 'package:dyte_core_example/models/states/local_user_event_states.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class LocalUserNotifier extends StateNotifier<LocalUserEventStates>
    with DyteSelfEventsListener {
  LocalUserNotifier() : super(const LocalUserEventStates.initial());

  @override
  void onAudioDevicesUpdated() =>
      state = const LocalUserEventStates.onAudioDevicesUpdated();

  @override
  void onAudioUpdate(bool audioEnabled) {
    state = LocalUserEventStates.onAudioUpdate(audioEnabled);
  }

  @override
  void onProximityChanged(bool isNear) =>
      state = LocalUserEventStates.onProximityChanged(isNear);

  @override
  void onUpdate(DyteLocalUser participant) =>
      state = LocalUserEventStates.onUpdate(participant);

  @override
  void onVideoUpdate(bool videoEnabled) {
    state = LocalUserEventStates.onVideoUpdate(videoEnabled);
  }

  @override
  void onMeetingRoomJoinedWithoutCameraPermission() {
    // TODO: implement onMeetingRoomJoinedWithoutCameraPermission
    super.onMeetingRoomJoinedWithoutCameraPermission();
  }

  @override
  void onMeetingRoomJoinedWithoutMicPermission() {
    // TODO: implement onMeetingRoomJoinedWithoutMicPermission
    super.onMeetingRoomJoinedWithoutMicPermission();
  }

  @override
  void onRemovedFromMeeting() {
    // TODO: implement onRemovedFromMeeting
    super.onRemovedFromMeeting();
  }

  @override
  void onStoppedPresenting() {
    // TODO: implement onStoppedPresenting
    super.onStoppedPresenting();
  }

  @override
  void onWebinarPresentRequestReceived() {
    // TODO: implement onWebinarPresentRequestReceived
    super.onWebinarPresentRequestReceived();
  }

  @override
  void onWaitListStatusUpdate(DyteWaitListStatus waitListStatus) {
    state = LocalUserEventStates.onWaitListStatusUpdate(waitListStatus);
  }
}
