import 'package:dyte_core/dyte_core.dart';
import 'package:dyte_core_example/models/states/room_event_states.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class RoomStateNotifier extends StateNotifier<RoomEventStates>
    with DyteMeetingRoomEventsListener {
  RoomStateNotifier() : super(const RoomEventStates.initial());

  @override
  void onMeetingInitCompleted() {
    state = const RoomEventStates.onMeetingInitCompleted();
  }

  @override
  void onMeetingInitFailed(Exception exception) {
    state = RoomEventStates.onMeetingInitFailed(exception);
  }

  @override
  void onMeetingInitStarted() {
    state = const RoomEventStates.onMeetingInitStarted();
  }

  @override
  void onMeetingRoomDisconnected() {
    state = const RoomEventStates.onMeetingRoomDisconnected();
  }

  @override
  void onMeetingRoomJoinCompleted() {
    state = const RoomEventStates.onMeetingRoomJoinCompleted();
  }

  @override
  void onMeetingRoomJoinFailed(Exception exception) {
    state = RoomEventStates.joinFailed(exception);
  }

  @override
  void onMeetingRoomJoinStarted() {
    state = const RoomEventStates.onMeetingRoomJoinStarted();
  }

  @override
  void onMeetingRoomLeaveCompleted() {
    state = const RoomEventStates.onMeetingRoomLeaveCompleted();
  }

  @override
  void onMeetingRoomLeaveStarted() {
    state = const RoomEventStates.onMeetingRoomLeaveStarted();
  }
}
