import 'package:dyte_core/dyte_core.dart';
import 'package:dyte_core_example/models/states/chat_events_state.dart';
import 'package:dyte_core_example/models/states/local_user_event_states.dart';
import 'package:dyte_core_example/models/states/participant_event_states.dart';
import 'package:dyte_core_example/models/states/plugin_event_states.dart';
import 'package:dyte_core_example/models/states/room_event_states.dart';
import 'package:dyte_core_example/notifiers/chat_events_notifier.dart';
import 'package:dyte_core_example/notifiers/local_user_state_notifier.dart';
import 'package:dyte_core_example/notifiers/participant_state_notiifier.dart';
import 'package:dyte_core_example/notifiers/plugin_state_notifier.dart';
import 'package:dyte_core_example/notifiers/room_event_notifier.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final roomEventStateNotifierProvider =
    StateNotifierProvider<RoomStateNotifier, RoomEventStates>((ref) {
  return RoomStateNotifier();
});

final participantEventStateNotifierProvider =
    StateNotifierProvider<ParticipantNotifier, ParticipantEventStates>((ref) {
  return ParticipantNotifier();
});

final localUserProvider =
    StateNotifierProvider<LocalUserNotifier, LocalUserEventStates>((ref) {
  return LocalUserNotifier();
});

final pluginEventStateNotifierProvider =
    StateNotifierProvider<PluginNotifier, PluginEventStates>((ref) {
  return PluginNotifier();
});

final dyteChatProvider =
    StateNotifierProvider<ChatEventsNotifier, DyteChatStates>((ref) {
  return ChatEventsNotifier();
});

final dyteClient = Provider((ref) => DyteMobileClient());
