import 'package:dyte_core_example/constants/colors.dart';
import 'package:dyte_core_example/providers/providers.dart';
import 'package:dyte_core_example/ui/meeting/render_active_participants.dart';
import 'package:dyte_core_example/ui/widgets/appbar.dart';
import 'package:dyte_core_example/ui/widgets/dyte_button.dart';
import 'package:dyte_core_example/ui/widgets/dyte_call_bottom_bar.dart';
import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class MeetingRoom extends ConsumerWidget {
  const MeetingRoom({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    return Scaffold(
      appBar: DyteAppBar(
        action: Row(
          children: [
            DyteButton(
              label: 'Leave',
              size: const Size(80, 30),
              color: DyteColors.red,
              onPressed: () {
                ref.watch(dyteClient).leaveRoom();
              },
            ),
          ],
        ),
      ),
      bottomNavigationBar: const DyteCallBottomBar(),
      body: const RenderActiveParticipants(),
    );
  }
}
