import 'package:dyte_core_example/constants/colors.dart';
import 'package:dyte_core_example/models/states/room_event_states.dart';
import 'package:dyte_core_example/providers/providers.dart';
import 'package:dyte_core_example/ui/meeting/room/meeting_room.dart';
import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class StagingRoom extends ConsumerWidget {
  const StagingRoom({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    ref.listen<RoomEventStates>(roomEventStateNotifierProvider,
        (previous, next) {
      next.maybeWhen(
        onMeetingRoomJoinCompleted: () {
          Navigator.push(context, MaterialPageRoute(builder: (context) {
            return const MeetingRoom();
          }));
        },
        orElse: () {},
      );
    });
    return Scaffold(
      body: Center(
        child: MaterialButton(
          color: DyteColors.primary,
          minWidth: 160,
          height: 40,
          child: const Text("Join room"),
          onPressed: () {
            ref.watch(dyteClient).joinRoom();
          },
        ),
      ),
    );
  }
}
