import 'dart:convert';

import 'package:dyte_core_platform_interface/dyte_core_platform_interface.dart';

DyteClientPlatform get _platform => DyteClientPlatform.instance;

class DyteBase64Encoding {
  static String auth({required String organizationId, required String apiKey}) {
    final decodedString = '${organizationId.trim()}:${apiKey.trim()}';
    final bytes = utf8.encode(decodedString);

    final base64Enc = base64.encode(bytes);
    return 'Basic $base64Enc';
  }
}

class DyteMobileClient {
  void init(DyteMeetingInfo meetingInfo) => _platform.init(meetingInfo);

  void initV2(DyteMeetingInfoV2 dyteMeetingInfoV2) =>
      _platform.initV2(dyteMeetingInfoV2);

  void joinRoom() => _platform.joinRoom();

  void leaveRoom() => _platform.leaveRoom();

  DyteRoomParticipants get participants => _platform.participants;

  DytePermissions get permissions => _platform.permissions;

  Stream<List<DyteMeetingParticipant>> get activeStream =>
      _platform.activeStream;

  Stream<DyteRoomParticipants> get participantsStream =>
      _platform.participantsStream.distinct();

  void closeParticipantsStream() => _platform.closeParticipantsStream();

  void addMeetingRoomEventsListener(
          DyteMeetingRoomEventsListener meetingRoomEventsListener) =>
      _platform.addMeetingRoomEventsListener(meetingRoomEventsListener);

  DyteMeta get meta => _platform.meta;

  DytePermissions get permission => _platform.permissions;

  void addParticipantEventsListener(
          DyteParticipantEventsListener participantEventsListener) =>
      _platform.addParticipantEventListener(participantEventsListener);

  DyteLocalUser get localUser => _platform.localUser;

  void addSelfEventsListener(DyteSelfEventsListener dyteSelfListener) =>
      _platform.addSelfParticipantEventListener(dyteSelfListener);

  void addPluginEventsListener(DytePluginEventsListener pluginEventsListener) =>
      _platform.addPluginEventsListener(pluginEventsListener);

  Future<void> setPage(int pageNumber) => _platform.setPage(pageNumber);

  DyteRecording get recording => _platform.recording;

  DytePoll get polls => _platform.polls;

  DyteChat get chat => _platform.chat;

  DytePlugins get plugins => _platform.plugins;

  DyteHostActions get hostActions => _platform.hostActions;

  void addChatEventsListener(DyteChatEventsListener chatEventsListener) =>
      _platform.addChatListener(chatEventsListener);
}
